> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/tennis/team-data/tournament-team-tournament-query.md).

# Tournament team - tournament query

## Tournament team - tournament query

> This interface returns the data of participating teams in the same stage\<br/>Request times: 120 times/min\<br/>\<br/>Note: Get the full data of the tournament team interface, this interface does not need to be obtained again

```json
{"openapi":"3.0.1","info":{"title":"Tennis API","version":"1.0.250606"},"tags":[{"name":"TEAM DATA","description":"TEAM DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/tennis/tournament/competitor":{"get":{"tags":["TEAM DATA"],"description":"This interface returns the data of participating teams in the same stage<br/>Request times: 120 times/min<br/><br/>Note: Get the full data of the tournament team interface, this interface does not need to be obtained again","summary":"Tournament team - tournament query","operationId":"getTournamentCompetitorDetail","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"uuid","in":"query","description":"Stage id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"query":{"type":"object","description":"Query","properties":{"total":{"type":"integer","description":"Return the total amount of data"},"type":{"type":"string","description":"Query type"}}},"results":{"type":"array","items":{"$ref":"#/components/schemas/TournamentCompetitor"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username, please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key, please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"TournamentCompetitor":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Data id"},"tournament_id":{"type":"string","description":"Stage id"},"team_id":{"type":"string","description":"Team id"},"seeded":{"type":"integer","description":"Seed, 1-Yes, 0-No"},"seeding":{"type":"integer","description":"Seed number"},"type_id":{"type":"integer","description":"Type, 1-qualified, 2-seeded_as, 3-wild_card, 4-alternative, 5-replaced, 6-lucky_loser"},"updated_at":{"type":"integer","description":"Update time"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/tennis/team-data/tournament-team-tournament-query.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
